/*********************************************************
* function.h - function for measuring
*
* v_0.1
*
* Copyright (c)2014 Matej Z. All rights reserved.
* matej.zdenek@gmail.com
*********************************************************/

#ifndef __DYNAM_ZERO_S
#define __DYNAM_ZERO_S

#include <stdio.h>
#include "constants.h"





//statistics
//it is stored like histogram - every possible value of dynamic zero is stored to field. Then it is possible draw a graph
typedef struct sStatDynamZero
{
	unsigned int histogramActual[MATRIX_SIZE];
	unsigned int histogramTotal[MATRIX_SIZE];

} tStatDynamZero;


int DynamZeroPrintStatistics(char* s, int printHeader, unsigned int* histogram, char* text);
void DynamZeroClearStatistics(tStatDynamZero *stats, int onlyActual);
unsigned char DynamZero(float *impuls, int delka, tStatDynamZero *stats);

#endif //__FUNCTION_S
